Bug 227481 - OpenMPI compilation problem
OpenMPI compilation problem
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-02-06 06:13 EST by Stjepan Gros
Modified: 2008-05-06 15:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stjepan Gros 2007-02-06 06:13:24 EST
Description of problem:

Development package of openmpi has problems that prevent mpi applications to
compile. Configuration info is not correct (pkg-config) and header files are
wrongly placed twice in openmpi directory!

Version-Release number of selected component (if applicable):


How reproducible:

pkg-config --cflags openmpi

Steps to Reproduce:
1. Try to compile simple mpi application.
Actual results:

/usr/include/openmpi/mpi.h:1757:33: error: ompi/mpi/cxx/mpicxx.h: No such file
or directory

Expected results:

Successful compilation

Additional info:
Comment 1 Bug Zapper 2008-04-04 02:07:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 15:10:25 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.